Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config.swing
Interface Field

All Known Implementing Classes:
  BooleanField, ColorField, DirectoryField, FileField, FontField, MapField, NumberField, OptionsField, PasswordField, PathField, StringArrayField, TextField

    public interface Field

A Field is an interface for a visual representation of a Choice.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: Field.java,v 1.1 2004/04/28 22:35:38 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`JComponent` | `getComponent()` Get the actual component that we can add to a Panel.
`String` | `getValue()` Return a string version of the current value
`void` | `setChoice(Choice param)` Some fields will need some extra info to display properly like the options in an options field.
`void` | `setValue(String value)` Set the current value.

Method Detail

### setChoice

    void setChoice(Choice param)

  Some fields will need some extra info to display properly like the options in an options field. FieldMap calls this method with options provided by the choice.

  Parameters:
    `param` - The options provided by the Choice

### getValue

    String getValue()

  Return a string version of the current value

  Returns:
    The current value

### setValue

    void setValue(String value)

  Set the current value.

  Parameters:
    `value` - The new text

### getComponent

    JComponent getComponent()

  Get the actual component that we can add to a Panel. (This can well be `this` in an implementation).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD